Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrinter.PageSize

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrinter.PageSize

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrinter

    public static final class QPrinter.PageSize

extends java.lang.Enum
implements QtEnumerator

Use `QPrinter::PaperSize` instead.

See Also:
  Serialized Form

Field Summary
`static QPrinter.PageSize` | `A0` 841 x 1189 mm
`static QPrinter.PageSize` | `A1` 594 x 841 mm
`static QPrinter.PageSize` | `A2` 420 x 594 mm
`static QPrinter.PageSize` | `A3` 297 x 420 mm
`static QPrinter.PageSize` | `A4` 210 x 297 mm, 8.26 x 11.69 inches
`static QPrinter.PageSize` | `A5` 148 x 210 mm
`static QPrinter.PageSize` | `A6` 105 x 148 mm
`static QPrinter.PageSize` | `A7` 74 x 105 mm
`static QPrinter.PageSize` | `A8` 52 x 74 mm
`static QPrinter.PageSize` | `A9` 37 x 52 mm
`static QPrinter.PageSize` | `B0` 1030 x 1456 mm
`static QPrinter.PageSize` | `B1` 728 x 1030 mm
`static QPrinter.PageSize` | `B10` 32 x 45 mm
`static QPrinter.PageSize` | `B2` 515 x 728 mm
`static QPrinter.PageSize` | `B3` 364 x 515 mm
`static QPrinter.PageSize` | `B4` 257 x 364 mm
`static QPrinter.PageSize` | `B5` 182 x 257 mm, 7.17 x 10.13 inches
`static QPrinter.PageSize` | `B6` 128 x 182 mm
`static QPrinter.PageSize` | `B7` 91 x 128 mm
`static QPrinter.PageSize` | `B8` 64 x 91 mm
`static QPrinter.PageSize` | `B9` 45 x 64 mm
`static QPrinter.PageSize` | `C5E` 163 x 229 mm
`static QPrinter.PageSize` | `Comm10E` 105 x 241 mm, U.S.
`static QPrinter.PageSize` | `Custom` Unknown, or a user defined size.
`static QPrinter.PageSize` | `DLE` 110 x 220 mm
`static QPrinter.PageSize` | `Executive` 7.5 x 10 inches, 191 x 254 mm
`static QPrinter.PageSize` | `Folio` 210 x 330 mm
`static QPrinter.PageSize` | `Ledger` 432 x 279 mm
`static QPrinter.PageSize` | `Legal` 8.5 x 14 inches, 216 x 356 mm
`static QPrinter.PageSize` | `Letter` 8.5 x 11 inches, 216 x 279 mm
`static QPrinter.PageSize` | `Tabloid` 279 x 432 mm

Method Summary
`static QPrinter.PageSize` | `resolve(int value)` Returns the QPrinter$PageSize constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PageSize` | `valueOf(java.lang.String name)`
`static QPrinter.PageSize[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### A4

    public static final QPrinter.PageSize A4

  210 x 297 mm, 8.26 x 11.69 inches

### B5

    public static final QPrinter.PageSize B5

  182 x 257 mm, 7.17 x 10.13 inches

### Letter

    public static final QPrinter.PageSize Letter

  8.5 x 11 inches, 216 x 279 mm

### Legal

    public static final QPrinter.PageSize Legal

  8.5 x 14 inches, 216 x 356 mm

### Executive

    public static final QPrinter.PageSize Executive

  7.5 x 10 inches, 191 x 254 mm

### A0

    public static final QPrinter.PageSize A0

  841 x 1189 mm

### A1

    public static final QPrinter.PageSize A1

  594 x 841 mm

### A2

    public static final QPrinter.PageSize A2

  420 x 594 mm

### A3

    public static final QPrinter.PageSize A3

  297 x 420 mm

### A5

    public static final QPrinter.PageSize A5

  148 x 210 mm

### A6

    public static final QPrinter.PageSize A6

  105 x 148 mm

### A7

    public static final QPrinter.PageSize A7

  74 x 105 mm

### A8

    public static final QPrinter.PageSize A8

  52 x 74 mm

### A9

    public static final QPrinter.PageSize A9

  37 x 52 mm

### B0

    public static final QPrinter.PageSize B0

  1030 x 1456 mm

### B1

    public static final QPrinter.PageSize B1

  728 x 1030 mm

### B10

    public static final QPrinter.PageSize B10

  32 x 45 mm

### B2

    public static final QPrinter.PageSize B2

  515 x 728 mm

### B3

    public static final QPrinter.PageSize B3

  364 x 515 mm

### B4

    public static final QPrinter.PageSize B4

  257 x 364 mm

### B6

    public static final QPrinter.PageSize B6

  128 x 182 mm

### B7

    public static final QPrinter.PageSize B7

  91 x 128 mm

### B8

    public static final QPrinter.PageSize B8

  64 x 91 mm

### B9

    public static final QPrinter.PageSize B9

  45 x 64 mm

### C5E

    public static final QPrinter.PageSize C5E

  163 x 229 mm

### Comm10E

    public static final QPrinter.PageSize Comm10E

  105 x 241 mm, U.S. Common 10 Envelope

### DLE

    public static final QPrinter.PageSize DLE

  110 x 220 mm

### Folio

    public static final QPrinter.PageSize Folio

  210 x 330 mm

### Ledger

    public static final QPrinter.PageSize Ledger

  432 x 279 mm

### Tabloid

    public static final QPrinter.PageSize Tabloid

  279 x 432 mm

### Custom

    public static final QPrinter.PageSize Custom

  Unknown, or a user defined size.

Method Detail

### values

    public static QPrinter.PageSize[] values()

### valueOf

    public static QPrinter.PageSize valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PageSize resolve(int value)

  Returns the QPrinter$PageSize constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD